Create identities
Basic authentication is a simple authentication scheme built into the HTTP protocol. To use it, send your HTTP requests with an Authorization header that contains the word Basic followed by a space and a base64-encoded string username:password.Example: Authorization: Basic ZGVtbzpwQDU1dzByZA==
In: header
Header Parameters
Set this optional header to the same value for idempotent requests. If the request is repeated with the same idempotency key, the server will return the same response as for the first request. Our servers retain the idempotency key and their result for 24 hours after the initial request, if not defined otherwise in your Abillify contract.
Main currency of the identity
"Based on merchant settings"The debtor number of the identity, if you do not send this Abillify will generate one.
Kind of identity, individual = b2c, incorporate = b2b
"individual" | "incorporate"Merchant information related to the entity, you can store any JSON here. Size limits according to your contract.
Your Customernumber
Your identityReference (A unique identifier in your system), if you don't send this Abillify will generate one.
Response Body
curl -X POST "https://staging1.abillify.dev/api/identities" \
-H "Idempotency-Key: string" \
-H "Content-Type: application/json" \
-d '{}'const body = JSON.stringify({})
fetch("https://staging1.abillify.dev/api/identities", {
headers: {
"Idempotency-Key": "string"
},
body
})package main
import (
"fmt"
"net/http"
"io/ioutil"
"strings"
)
func main() {
url := "https://staging1.abillify.dev/api/identities"
body := strings.NewReader(`{}`)
req, _ := http.NewRequest("POST", url, body)
req.Header.Add("Idempotency-Key", "string")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := ioutil.ReadAll(res.Body)
fmt.Println(res)
fmt.Println(string(body))
}import requests
url = "https://staging1.abillify.dev/api/identities"
body = {}
response = requests.request("POST", url, json = body, headers = {
"Idempotency-Key": "string",
"Content-Type": "application/json"
})
print(response.text){
"addresses": [
{
"city": "Berlin",
"country": "DE",
"extra": "C/O Mr. Smith",
"housenumber": "1",
"info": "string",
"kind": "shipping",
"state": "Berlin",
"street": "Main Street",
"zipcode": "10115"
}
],
"created": "2020-01-01T00:00:00.000Z",
"currency": "EUR",
"debtor": "1234567890",
"detail": {
"dunning": {
"customPeriods": {
"COLLECTION": 28,
"DUNNING1": 7,
"DUNNING2": 7,
"DUNNING3": 7,
"REMINDER": 7
},
"delayedUntil": "2020-01-01",
"deliveryKind": "letter",
"disabled": true
},
"locale": "de-DE",
"vatId": "DE123456789"
},
"emails": [
{
"email": "foo@bar.com",
"kind": "default"
}
],
"id": "5e4a7b2b-1b0b-4c7a-8f0a-5b9b6b7c8d9e",
"kind": "individual",
"meta": {
"custom_key": "custom_value"
},
"modified": "2020-01-01T00:00:00.000Z",
"name": {
"birthday": "1970-01-01",
"company": "ACME Inc.",
"firstname": "John",
"lastname": "Doe",
"salutation": "mr"
},
"number": "K12345",
"phones": [
{
"active": true,
"phone": "+49 30 12345678"
}
],
"reference": "1234567890"
}{
"code": 400,
"details": [
{
"error": "Value for field 'debtor' is of wrong type, expected bigint.",
"fields": [
"debtor"
],
"hint": "Value must be a number or a string containing only a number."
}
],
"message": "InvalidValue, see error details",
"name": "ClientError",
"type": "ERR_INVALID_VALUE"
}{
"code": 400,
"details": [
{
"error": "Value for field 'debtor' is of wrong type, expected bigint.",
"fields": [
"debtor"
],
"hint": "Value must be a number or a string containing only a number."
}
],
"message": "InvalidValue, see error details",
"name": "ClientError",
"type": "ERR_INVALID_VALUE"
}Create draft for identity by identityReference POST
This will create a draft voucher assigned to the given identity. Drafts are invoice-like vouchers that are not booked and do not receive an invoice number until they are converted to an invoice. The `netbased` flag is used to determine if the draft should be calculated with net prices or gross prices. If `netbased` is set to `true`, the prices will be calculated with net prices. If `netbased` is set to `false`, the prices will be calculated with gross prices. The `paymentkind` is used to determine the payment method. The following payment methods are available: - `CT` - Credit Transfer - `DD` - Direct Debit - `CC` - Credit Card - `PP` - PayPal - `IN` - Invoice - `OT` - Other The `items` array contains the items of the draft. Each item must have a `label`, `quantity`, `unit`, `unitprice`, and `detail` field. The `detail` field is an object that can contain additional information about the item, if tax jurisdiction is used this should contain the items `taxprofile`. The `addresses` array contains the addresses of the draft. Each address must have a `kind`, `firstname`, `lastname`, `street`, `housenumber`, `zipcode`, `city`, and `country` field. The `extra` field is optional and can be used to provide additional information about the address.
Create bank account for identity by identityReference POST
Next Page